BP_SEQCUT(1p)

NAME
bp_seqcut.pl - cut FASTA sequences with a given range

USAGE
 bp_seqcut.pl [options -h,-s,-e,-f,-w] <FILES>...
 bp_seqcut.pl [options -h,-f,-w] s-e <FILES>...

   -h this help message
   -s which residue to start cutting on
   -e which residue to finish cutting on
   -f format of the files, defaults to FASTA but you can specify anything supported by SeqIO from BioPerl
   -w hard wrap width, this might not be supported depending on which format you are using

Description
A script to cut FASTA sequences with a given range `fastacut -s 1 -e 10 *.fasta` or `fastacut 1-10 *.fasta`. This is just a convenience wrapper around the Bio::SeqIO module. Useful if you wish to trim out a section of an alignment to build a profile of a specific region of sequence.

AUTHOR
Matt Oates - Matt.Oates@bristol.ac.uk

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  https://github.com/bioperl/bioperl-live/issues

EDIT HISTORY
2010-11-22 - Matt Oates First features added.

DEPENDENCY
Getopt::Long Used to parse command line options. Pod::Usage Used for usage and help output. Bio::SeqIO Used to cut up sequences and parse FASTA.